%define class Digest
%define subclass MD5
%define version 2.16
%define release 1

# Derived values
%define real_name %{class}-%{subclass}
%define name perl-%{real_name}

Summary:        Perl module that implements message digest algorithms
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{real_name}-%{version}.tar.gz
Url: 		http://www.cpan.org/modules/by-module/%{class}
Packager:       Michael McLagan <michael.mclagan@linux.org>
BuildRequires:	perl >= 5.6.1
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires: 	perl >= 5.6.1
Obsoletes:      Digest-MD5

%description
This package contains Perl extension interfaces for the following
message digest algorithms:

  - RSA Data Security Inc. MD5   (RFC 1321)
  - RSA Data Security Inc. MD2   (RFC 1319)
  - NIST SHA-1                   (FIPS PUB 180-1)

Modules to calculate HMAC (RFC 2104) digests are also provided.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
eval `%{__perl} '-V:installprivlib'`
eval `%{__perl} '-V:installsitearch'`
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod"`
rm -rf `find $RPM_BUILD_ROOT -name ".packlist" -o -name "*.bs"`

# Remove all empty directories
for i in `find $RPM_BUILD_ROOT -type d | tac`; do
   if [ -d $i ]; then 
      rmdir --ign -p $i;
   fi
done

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{real_name}-%{version}

%files
%defattr(-,root,root)
%doc Changes README
%{_prefix}

%changelog
* Fri Apr 19 2002 Michael McLagan <michael.mclagan@linux.org>
- Update version 2.16
- Simplified spec file

* Fri Jun 29 2001 Michael McLagan <Michael.McLagan@Linux.ORG>
- Updated to 2.13

* Sun Jul 09 2000 Gatewood Green <Gatewood.Green@linux.org>
- Created initial RPM package

